
Ruby - Bug #9258

Fix bugreport URL in error.c

12/18/2013 10:57 PM - stomar (Marcus Stollsteimer)

Status: Closed   

Priority: Normal   

Assignee: naruse (Yui NARUSE)   

Target version: 2.6   

ruby -v: ruby 2.0.0p353 (2013-11-22 revision

43784) [i686-linux]

Backport: 2.1: DONTNEED, 2.2: DONTNEED, 2.3:

DONTNEED

Description

error.c refers to <www.ruby-lang.org/bugreport.html> in REPORTBUG_MSG, which is only a redirect to <bugs.ruby-lang.org>.

Instead it should refer to bugs.ruby-lang.org directly:

it's the "canonical" ressource for anything bug-related

it's already linked to from many other source files

Related issues:

Is duplicate of Ruby - Feature #8931: Update URL in REPORTBUG_MSG Rejected 09/20/2013

History

#1 - 12/18/2013 11:10 PM - zzak (zzak _)

- Target version changed from 2.1.0 to 2.6

We should discuss this for after 2.1.0 is released, it's too soon now

#2 - 12/19/2013 12:04 PM - naruse (Yui NARUSE)

- Status changed from Open to Rejected

Changing error.c is not acceptable.

"http://bugs.ruby-lang.org/" is not the best place for people who just report the bug.

It also includes joining development, request a feature.

Changing the content of www.ruby-lang.org/bugreport.html is acceptable.

#3 - 12/19/2013 03:09 PM - stomar (Marcus Stollsteimer)

@naruse (Yui NARUSE)

I agree that "bugs.ruby-lang.org" is not only a place to report bugs.

But it has all the relevant information on bug reporting right there on the root page ("How to Report a Bug"),

and it will always need to have that information, or it stops being bugs.ruby-lang.org.

Why use a second ressource that doesn't even exist?

It's already referenced in many places in the code, so in case you would want to move it to another site there would need to be fixes in the code

anyway.

#4 - 12/20/2013 12:46 AM - zzak (zzak _)

- Status changed from Rejected to Feedback

- Assignee set to naruse (Yui NARUSE)

I'm not sure why it would be unacceptable for next minor? We should be allowed to make backwards incompatible changes after 2.1 is released for

next minor.

Anyways, I agree maybe it's better to implement the page on ruby-lang.org.

I can work on this.

#5 - 12/20/2013 01:32 AM - stomar (Marcus Stollsteimer)
I assume that bugs.r-l.org is the established and known site for reporting bugs. So now users that go there (to report bugs) should be pointed first to a

HowTo on www.r-l.org and then come back to bugs.r-l.org to actually open an issue? That's also not very convincing to me.

And I do not see any "backwards incompatibility" at all. The existing redirect from www.ruby-lang.org of course should be active as long as some

officially supported branch points there.

Note also that www.r-l.org/bugreport.html hadn't existed for I do not know how long, maybe since the big reworking of the site several years ago,

where maybe it was overlooked that it is referenced from the Ruby source. IMO that's a good argument for pointing to a more general ressource like

bugs.ruby-lang.org. Even more so since that same ressource is already linked to from many places in the code.

Or alternatively error.c could just point to www.ruby-lang.org/.

#6 - 10/21/2017 10:41 AM - naruse (Yui NARUSE)

- Status changed from Feedback to Closed

- Backport changed from 1.9.3: UNKNOWN, 2.0.0: UNKNOWN to 2.1: DONTNEED, 2.2: DONTNEED, 2.3: DONTNEED

http://www.ruby-lang.org/bugreport.html is redirected to  https://bugs.ruby-lang.org/ now.

Files

bugreport.patch 442 Bytes 12/18/2013 stomar (Marcus Stollsteimer)
